This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1065541 - Review Request: mmg3d4 - anisotropic tetrahedral remesher / moving mesh generator
Review Request: mmg3d4 - anisotropic tetrahedral remesher / moving mesh gener...
Status: CLOSED DUPLICATE of bug 1109444
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 753577
  Show dependency treegraph
 
Reported: 2014-02-14 16:51 EST by Alexey Vasyukov
Modified: 2015-07-21 08:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 21:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexey Vasyukov 2014-02-14 16:51:00 EST
Spec URL: https://raw.github.com/avasyukov/fedora-packages/master/mmg3d/mmg3d.spec
SRPM URL: https://dl.dropboxusercontent.com/u/4532412/RPMS/mmg3d4-4.0.0-2.fc19.src.rpm

Description: 
Anisotropic Tetrahedral Remesher / Moving Mesh Generator. Anisotropic mesh
adaptation methods are used to control the accuracy of numerical solution
while simultaneously reducing the number of mesh vertices to a minimum.

Fedora Account System Username: anganar


Hi folks,

I'm working on Gmsh package (https://bugzilla.redhat.com/show_bug.cgi?id=753577). I'm packaging libraries now that were bundled with gmsh. mmg3d4 package is a part of this work.

This is my first package, so I need a sponsor.
Comment 1 Michael Schwendt 2014-02-18 17:51:22 EST
As an early hint, point the fedora-review tool at this ticket: fedora-review -b 1065541

It doesn't perform a full or bullet-proof review, but checks many things.

https://fedoraproject.org/wiki/Category:Package_Maintainers
Comment 2 Sandro Mani 2014-06-13 18:13:34 EDT
Hi Alexey,

are you still pursuing this? I'm packaging code_aster, and hence need this. I've updated the spec for the latest version 4.0.1 and also did some cleanup. Result is here:

Spec URL: http://smani.fedorapeople.org/review/mmg3d.spec
SRPM URL: http://smani.fedorapeople.org/review/mmg3d4-4.0.1-1.fc21.src.rpm

If you aren't pursuing this anymore, I'm happy to take over.

Thanks
Comment 3 Sandro Mani 2014-06-13 20:22:37 EDT
-> with correct SRPM name

Spec URL: http://smani.fedorapeople.org/review/mmg3d.spec
SRPM URL: http://smani.fedorapeople.org/review/mmg3d-4.0.1-1.fc21.src.rpm
Comment 4 Mukundan Ragavan 2014-06-13 21:06:58 EDT
Alexey and I discussed about packaging gmsh. I never got around to taking care of few other bits of gmsh - one of the parts is this package. Since I am not a packager sponsor, it would be a bit pointless(?) if I review Alexey's submission.

Sandro, I can review this package if you take it up.
Comment 5 Sandro Mani 2014-06-13 21:20:03 EDT
gmsh is exactly what I'm looking at, one of the last big missing pieces for code_aster. I've now got all dependencies packages together and am about to see whether gmsh actually compiles...

In any case, I guess I'll take it up since the review looks stalled. Alexey, I hope you don't mind.
Comment 6 Sandro Mani 2014-06-13 21:21:28 EDT

*** This bug has been marked as a duplicate of bug 1109444 ***
Comment 7 Alexey Vasyukov 2014-06-14 00:29:32 EDT
> In any case, I guess I'll take it up since the
> review looks stalled. Alexey, I hope you don't mind.

Ok. Since nobody volunteered to sponsor for 4 month, it was really stalled.
Comment 8 Sandro Mani 2014-06-14 06:59:53 EDT
Alexey: I'm not a sponsor myself, but I'm going to post a few more package reviews shortly. You can do informal reviews of those, and along with the packages you already did yourself, I'm sure that we can convince a sponsor to sponsor you. Would that be a plan?
Comment 9 Alexey Vasyukov 2014-06-14 09:07:47 EDT
> [skip]
> Would that be a plan?

Ok. I have some spare time now, so I can do informal reviews.
Comment 10 Sandro Mani 2014-06-14 09:28:10 EDT
Ok, here are two review requests (both gmsh dependencies)

alglib - https://bugzilla.redhat.com/show_bug.cgi?id=1109490
liblbfgs - https://bugzilla.redhat.com/show_bug.cgi?id=1109491

You can also do a self-review of your voro++
https://bugzilla.redhat.com/show_bug.cgi?id=1065542

And then I guess, together with the good packaging you already did, it should be enough to convince a sponsor.

Note You need to log in before you can comment on or make changes to this bug.